(function($) {
  $('document').ready(function() {
    /**
     * Sets values for the blob_relay_input for ready for submission.
     *
     * TODO: Currently we assume just one form per page.
     *
     * @argument object options
     *   mimetype: what mimetype to use : default: image/png
     *   filename: the name to save on the browser side. default: download.png
     *   data: the raw data string to relay: should contain something
     *   encoding: how is data encoded : default to no encoding
     */
    var blobFillForm = function(options) {
      if (!options) {
        return;
      }
      var settings = {
        // We assume an image
        mimetype: 'image/png',
        // And name it accordingly
        filename: 'download.png',
        // TODO: add png data
        data: '',
        // TODO: add png data
        encoding: '',
        // Allow for multiple forms
        selector: '#blob-relay-input'
      };
      $.extend(settings, options);

      var $form = $(settings.selector);

      var $input = $("input[name='mimetype']", $form);
      $input.val(settings.mimetype);

      $input = $("input[name=filename]", $form);
      $input.val(settings.filename);

      $input = $("input[name=encoding]", $form);
      $input.val(settings.encoding);

      $input = $("input[name=data]", $form);
      $input.val(settings.data);
    };

    Drupal.blobRelay = Drupal.blobRelay || {};
    Drupal.blobRelay.FillForm = blobFillForm;

  });
})(jQuery);
